// creator  : weidu.exe (version 23100)
// argument : _HANNAH.DLG
// game		 : .
// source	 : ./override/_HANNAH.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_HANNAH~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #81827 /* ~There ought to be a law to keep lecherous old men like Ragefast off the streets!~ */
  IF ~~ THEN REPLY #81828 /* ~Whoa, calm down. Lecherous whats like who?~ */ GOTO 1
  IF ~~ THEN REPLY #81829 /* ~Why do I get the sense that I really don't want to get into this?~ */ GOTO 4
  IF ~Global("X#HANNAH0","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH0","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 215
  IF ~Global("X#HANNAH0","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH0","GLOBAL",1)~ EXTERN ~_SHARTJ~ 169
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #81830 /* ~Ragefast! Oh, he makes me seethe! He's a mage on a power trip and what does he do? He acquires his own personal nymph and enslaves her in his quarters! Men are callous brutes and, personally, I wish the world were rid of them.~ */
  IF ~~ THEN REPLY #81831 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #81832 /* ~Why that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~_KHALIJ~ 113
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 364
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~_JAHEIJ~ 365
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ GOTO 6
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~_VICONJ~ 171
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~_SHARTJ~ 170
END

IF ~~ THEN BEGIN 2 // from: _KHALIJ:118.0 _KHALIJ:117.0 _KHALIJ:116.0 _KHALIJ:115.0 _KHALIJ:114.0 _KHALIJ:113.0 _JAHEIJ:372.0 _JAHEIJ:371.0 _JAHEIJ:370.0 _JAHEIJ:369.0 _JAHEIJ:368.0 _JAHEIJ:367.0 _JAHEIJ:366.0 _JAHEIJ:365.0 _JAHEIJ:364.0 8.0 7.0 6.0 1.0
  SAY #81833 /* ~Trust me, we'd make do... Oh, I'm in no mood to talk!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#SharHannah2","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SharHannah2","GLOBAL",1)~ EXTERN ~_SHARTJ~ 99
END

IF ~~ THEN BEGIN 3 // from: _KHALIJ:118.1 _KHALIJ:117.1 _KHALIJ:116.1 _KHALIJ:115.1 _KHALIJ:114.1 _KHALIJ:113.1 _JAHEIJ:372.1 _JAHEIJ:371.1 _JAHEIJ:370.1 _JAHEIJ:369.1 _JAHEIJ:368.1 _JAHEIJ:367.1 _JAHEIJ:366.1 _JAHEIJ:365.1 _JAHEIJ:364.1 8.1 7.1 6.1 1.1
  SAY #81834 /* ~Oh good, this world still has some honor left. His house is in the northwest part of town. I wish you luck and all the passion of my fury in your task.~ */
  IF ~~ THEN DO ~EscapeArea()
~ UNSOLVED_JOURNAL #81835 /* ~The captive nymph

A woman by the name of Lady Hannah informs me that Ragefast the Mage has enslaved a nymph within his quarters, in the northwest corner of the city.  I will find him and listen to his defense, but rest assured, I will not give him the benefit of the doubt in a travesty such as this!~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY #81836 /* ~Sure, avert your eyes and look the other way! It's because of people like you that this kind of thing still occurs! Argh!!! Must the entire world make me furious!?~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #99821 /* ~Too bad it's all just wishful thinking.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.5
  SAY #103320 /* ~You! You think like one of the men!~ */
  IF ~~ THEN REPLY #81831 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #81832 /* ~Why that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KHALIJ~ 116
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 368
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 367
END

IF ~~ THEN BEGIN 7 // from:
  SAY #103320 /* ~You! You think like one of the men!~ */
  IF ~~ THEN REPLY #81831 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #81832 /* ~Why that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KHALIJ~ 117
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 370
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 369
END

IF ~~ THEN BEGIN 8 // from:
  SAY #103320 /* ~You! You think like one of the men!~ */
  IF ~~ THEN REPLY #81831 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #81832 /* ~Why that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_KHALIJ~ 118
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 372
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~_JAHEIJ~ 371
END
